var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

/**
 * @constructor
 */
function Tencentface() {

}

Tencentface.prototype.startWbFaceVerifySdk = {};
Tencentface.prototype.startWbFaceVerifySdk = function (successCallback, errorCallback, options) {
    argscheck.checkArgs('fFO', 'Tencentface.startWbFaceVerifySdk', arguments);
    options = options || {};

    exec(successCallback, errorCallback, "tencentfaceCordova", "startWbFaceVerifySdk", [options]);
};


module.exports = new Tencentface();

/***** 
 * 
 * 参数含义参考一下内容, 参数名拷贝的是iOS原生接口,名字略有差异
增强级SDK核身入口，注意传入的faceId不能为空，且必须为增强faceId，否则会报failure

@param userid 用户唯一标识, 由合作方自行定义（具体要求，参考word接入文档）
@param nonce  满足接入要求的32位随机数（具体要求，参考word接入文档）
@param sign 满足接入要求的40位签名值（具体要求，参考word接入文档）
@param appid 腾讯服务分配的appid
@param orderNo 每次人脸身份认证请求的唯一订单号: 建议为32位字符串(不超过32位)
@param apiVersion 后台api接口版本号(不是SDK的版本号),默认请填写@"1.0.0"
@param licence 腾讯给合作方派发的前端使用的licence(该licence同app当前使用的bundle id绑定)
@param faceId 合作方必须要先获取*增强级*faceId，再送入sdk，不允许为空(参考word接入文档)
@param sdkConfig SDK基础配置项目
@param success 服务登录成功回调,登录成功以后开始进行活体和检测服务
@param failure 服务登录失败回调,具体参考错误码文档(参考word接入文档)
 * 
 * 
var test = {
    // 以下是必须的参数
    "openApiAppId":"1", 
    "keyLicence":"1",

    "faceId":"1",
    "agreementNo":"1",
    "openApiAppVersion":"1.0.0",
    "openApiNonce":"1",
    "openApiAppVersion":"1",
    "openApiUserId":"1",
    "openApiSign":"1",

    // 以下是可选的
     "config": { 
         "customTipsInUpload":"test",
         "forceOrientation":true
     }

 }
 Tencentface.startWbFaceVerifySdk(initSuccess, copyError, test)

 /////////////*/